#!/bin/sh

#
# Add any new ASM files here
#
for i in alphablend;

  # ELF
  do echo Building ELF ASM files.......
  nasm -felf -DELF -oelf/$i.o  $i.asm;

  # WIN32/COFF
  echo Building Windows ASM files win32/coff.......
  nasm -fwin32 -DWIN32 -o win32/$i.obj $i.asm;
  nasm -fcoff -DCOFF -o coff/$i.obj $i.asm;

  # next one here.
done;

echo ""
echo Done.
